%define upstream_name    Parse-Services
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse /etc/hosts
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Parse /etc/hosts .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.0-3.mga9
+ Revision: 1812130
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1538566
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1462193
- update to 0.002

* Wed Dec 05 2018 shlomif <shlomif> 0.1.0-1.mga7
+ Revision: 1338481
- add desc
- imported package perl-Parse-Services


* Wed Dec 05 2018 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
